import * as env from "/scripts/env.js"
import * as status from "/scripts/net/status.js"
import {game} from "/scripts/game/game.js"
import {render} from "/scripts/display/draw.js"
import { changeScene } from "/scripts/interface/scene.js"
import { illegalAction } from "/scripts/interface/common/illegalaction.js"
import * as animation from '../display/visualLoop.js'

export var socket = io.connect(env.IP_ADDRESS);

export function joinGame(data){
		socket.emit('joinGame', data);
}

export function clickCanvas(data) {
	socket.emit('clickCanvas', data);
}

function leaveGame(socket){
		socket.emit('leaveGame', {});
}

socket.on('connect', function(data){
	status.connected()
})
socket.on('disconnect', function(data){
	status.disconnected()
})

socket.on('illegalAction', function(data){
	let action
	illegalAction(data)
	switch (data) {
		case 1:
			action = "You must be in game to do this."
			changeScene("mainmenu");
			game.reset();
		break;

	}

})

socket.on('playerList', function(data){
	console.log(data)

});

socket.on('inGame', function(data){
	if (!game.status) {changeScene("game")}
	game.status = true;
		animation.start();
})

socket.on('sync', function (sync){
  game.world = sync.world;
  render()
})

window.onbeforeunload = function(){

	 game.world = []
}
